<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Card of Notes</title>
        <style>
            body {
                background-color: #475875;
                text-align: center;
            }
            .card {
                /* Change background color */
                background-color: rgb(207, 226, 255);

                /* Add border */
                border: 2px solid #002c46;

                border-radius: 12px;            
            }
            .card-deck {
                margin-right: 80px;
                margin-left: 80px;
            }
            hr{
                border: 3px solid black;
            }
        </style>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
              <a class="navbar-brand" href="#">PBP Lab 4</a>
              <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                <div class="navbar-nav">
                  <a class="nav-link" href="http://127.0.0.1:8000/lab-4/note-list">Card of Notes</a>
                  <a class="nav-link" href="http://127.0.0.1:8000/lab-4/">Table of Notes</a>
                  <a class="nav-link" href="http://127.0.0.1:8000/lab-4/add-note">Add Note</a>
                </div>
              </div>
            </div>
          </nav>
    </head>
    <body>
        <br>
        <header><center><font color = "orange">
            <h1>Note Card</h1>
        </font></center></header>
        <hr>
        <div class="card-deck">
            {% if note %}
            {% for var in note %}
            <div class="card">
                <div class="card-header">
                    <p class="card-text">To: {{var.to}}</p>
                    <p class="card-text">From: {{var.From}}</p>
                </div>
                <div class="card-body">
                    <h6 class="card-text">Title: {{var.title}}</h6>
                    <p>Message:</p>
                    <p class="card-text">{{var.message}}</p>
                </div>
            </div>
            {% endfor %}
            {% endif %}
        </div>
    </body>
</html>